Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\Page\Type Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Page\Type:

## Public Member Functions
| __construct (PageService $pageService, HashConverter $hashConverter)
| getFieldTypeIdentifier ()
| Returns the field type identifier for this field type. More...
| validateFieldSettings ($fieldSettings)
| Validates the fieldSettings of a FieldDefinitionCreateStruct or FieldDefinitionUpdateStruct. More...
| getEmptyValue ()
| Returns the empty value for this field type. More...
| isEmptyValue (SPIValue $value)
| Returns if the given $value is considered empty by the field type. More...
| fromHash ($hash)
| Converts an $hash to the Value defined by the field type. More...
| toHash (SPIValue $value)
| Converts a Value to a hash. More...
| fromPersistenceValue (FieldValue $fieldValue)
| Converts a persistence $fieldValue to a Value. More...
| toPersistenceValue (SPIValue $value)
| Converts a $value to a persistence value. More...
| getName (SPIValue $value)
| Returns the name of the given field value. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\FieldType
| setTransformationProcessor (TransformationProcessor $transformationProcessor)
| getSettingsSchema ()
| Returns a schema for the settings expected by the FieldType. More...
| getValidatorConfigurationSchema ()
| Returns a schema for the validator configuration expected by the FieldType. More...
| validate (FieldDefinition $fieldDefinition, SPIValue $value)
| Validates a field based on the validators in the field definition. More...
| validateValidatorConfiguration ($validatorConfiguration)
| Validates the validatorConfiguration of a FieldDefinitionCreateStruct or FieldDefinitionUpdateStruct. More...
| applyDefaultValidatorConfiguration (&$validatorConfiguration)
| Applies the default values to the given $validatorConfiguration of a FieldDefinitionCreateStruct. More...
| applyDefaultSettings (&$fieldSettings)
| Applies the default values to the fieldSettings of a FieldDefinitionCreateStruct. More...
| fromPersistenceValue (PersistenceValue $fieldValue)
| Converts a persistence $fieldValue to a Value. More...
| isSearchable ()
| Returns whether the field type is searchable. More...
| isSingular ()
| Indicates if the field definition of this type can appear only once in the same ContentType. More...
| onlyEmptyInstance ()
| Indicates if the field definition of this type can be added to a ContentType with Content instances. More...
| acceptValue ($inputValue)
| Potentially builds and checks the type and structure of the $inputValue. More...
| fieldSettingsToHash ($fieldSettings)
| Converts the given $fieldSettings to a simple hash format. More...
| fieldSettingsFromHash ($fieldSettingsHash)
| Converts the given $fieldSettingsHash to field settings of the type. More...
| validatorConfigurationToHash ($validatorConfiguration)
| Converts the given $validatorConfiguration to a simple hash format. More...
| validatorConfigurationFromHash ($validatorConfigurationHash)
| Converts the given $validatorConfigurationHash to a validator configuration of the type. More...
| getRelations (SPIValue $fieldValue)
| Returns relation data extracted from value. More...
| valuesEqual (SPIValue $value1, SPIValue $value2)
Public Member Functions inherited from eZ\Publish\SPI\FieldType\FieldType
| getName (Value $value)
| Returns a human readable string representation from the given $value. More...
| validate (FieldDefinition $fieldDef, Value $value)
| Validates a field based on the validator configuration in the field definition. More...
| isEmptyValue (Value $value)
| Returns if the given $value is considered empty by the field type. More...
| toHash (Value $value)
| Converts the given $value into a plain hash format. More...
| toPersistenceValue (Value $value)
| Converts a $value to a persistence value. More...
| getRelations (Value $value)
| Returns relation data extracted from value. More...
Public Member Functions inherited from eZ\Publish\SPI\FieldType\Comparable
| valuesEqual (Value $value1, Value $value2)

## Protected Member Functions
| getSortInfo (BaseValue $value)
| {} More...
| createValueFromInput ($inputValue)
| Inspects given $inputValue and potentially converts it into a dedicated value object. More...
| checkValueStructure (BaseValue $value)
| Throws an exception if value structure is not of expected format. More...
Protected Member Functions inherited from eZ\Publish\Core\FieldType\FieldType
| getSortInfo (Value $value)
| Returns information for FieldValue->$sortKey relevant to the field type. More...
| checkValueStructure (Value $value)
| Throws an exception if value structure is not of expected format. More...

## Protected Attributes
| $settingsSchema
| $pageService
| $hashConverter
Protected Attributes inherited from eZ\Publish\Core\FieldType\FieldType
| $settingsSchema = []
| $validatorConfigurationSchema = []
| $transformationProcessor

## Additional Inherited Members
Static Protected Member Functions inherited from eZ\Publish\Core\FieldType\FieldType
static | checkValueType ($value)
| Throws an exception if the given $value is not an instance of the supported value subtype. More...

## Detailed Description

Definition at line 17 of file Core/FieldType/Page/Type.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Page\Type::__construct | ( | PageService | $pageService,
|  | HashConverter | $hashConverter
| ) |  |

Parameters

  \eZ\Publish\Core\FieldType\Page\PageService | $pageService |
  \eZ\Publish\Core\FieldType\Page\HashConverter | $hashConverter |

Definition at line 37 of file Core/FieldType/Page/Type.php.

References eZ\Publish\Core\FieldType\Page\Type\$hashConverter, and eZ\Publish\Core\FieldType\Page\Type\$pageService.

## Member Function Documentation

## ◆ checkValueStructure()

eZ\Publish\Core\FieldType\Page\Type::checkValueStructure | ( | BaseValue | $value | ) |
| protected

Throws an exception if value structure is not of expected format.

Exceptions

Definition at line 238 of file Core/FieldType/Page/Type.php.

## ◆ createValueFromInput()

eZ\Publish\Core\FieldType\Page\Type::createValueFromInput | ( |  | $inputValue | ) |
| protected

Inspects given $inputValue and potentially converts it into a dedicated value object.

Parameters

  \eZ\Publish\Core\FieldType\Page\Value | $inputValue |

Returns
  \eZ\Publish\Core\FieldType\Page\Value The potentially converted and structurally plausible value.

Reimplemented from eZ\Publish\Core\FieldType\FieldType.

Definition at line 226 of file Core/FieldType/Page/Type.php.

## ◆ fromHash()

eZ\Publish\Core\FieldType\Page\Type::fromHash | ( |  | $hash | ) |

Converts an $hash to the Value defined by the field type.

Parameters

  mixed | $hash |

Returns
  \eZ\Publish\Core\FieldType\Page\Value

Implements eZ\Publish\SPI\FieldType\FieldType.

Definition at line 137 of file Core/FieldType/Page/Type.php.

References eZ\Publish\Core\FieldType\Page\Type\getEmptyValue().

## ◆ fromPersistenceValue()

eZ\Publish\Core\FieldType\Page\Type::fromPersistenceValue | ( | FieldValue | $fieldValue | ) |

Converts a persistence $fieldValue to a Value.

Parameters

  \eZ\Publish\SPI\Persistence\Content\FieldValue | $fieldValue |

Returns
  \eZ\Publish\Core\FieldType\Page\Value

Implements eZ\Publish\SPI\FieldType\FieldType.

Definition at line 169 of file Core/FieldType/Page/Type.php.

References eZ\Publish\Core\FieldType\Page\Type\getEmptyValue().

## ◆ getEmptyValue()

eZ\Publish\Core\FieldType\Page\Type::getEmptyValue | ( |  | ) |

Returns the empty value for this field type.

This value will be used, if no value was provided for a field of this type and no default value was specified in the field definition.

Returns
  mixed

Implements eZ\Publish\SPI\FieldType\FieldType.

Definition at line 103 of file Core/FieldType/Page/Type.php.

Referenced by eZ\Publish\Core\FieldType\Page\Type\fromHash(), eZ\Publish\Core\FieldType\Page\Type\fromPersistenceValue(), and eZ\Publish\Core\FieldType\Page\Type\isEmptyValue().

## ◆ getFieldTypeIdentifier()

eZ\Publish\Core\FieldType\Page\Type::getFieldTypeIdentifier | ( |  | ) |

Returns the field type identifier for this field type.

Returns
  string

Implements eZ\Publish\SPI\FieldType\FieldType.

Definition at line 48 of file Core/FieldType/Page/Type.php.

## ◆ getName()

eZ\Publish\Core\FieldType\Page\Type::getName | ( | SPIValue | $value | ) |

Returns the name of the given field value.

It will be used to generate content name and url alias if current field is designated to be used in the content name/urlAlias pattern.

Parameters

  \eZ\Publish\Core\FieldType\Page\Value | $value |

Returns
  string

Definition at line 214 of file Core/FieldType/Page/Type.php.

## ◆ getSortInfo()

eZ\Publish\Core\FieldType\Page\Type::getSortInfo | ( | BaseValue | $value | ) |
| protected

{}

Definition at line 199 of file Core/FieldType/Page/Type.php.

## ◆ isEmptyValue()

eZ\Publish\Core\FieldType\Page\Type::isEmptyValue | ( | SPIValue | $value | ) |

Returns if the given $value is considered empty by the field type.

Parameters

  \eZ\Publish\Core\FieldType\Page\Value | $value |

Returns
  bool

Reimplemented from eZ\Publish\Core\FieldType\FieldType.

Definition at line 115 of file Core/FieldType/Page/Type.php.

References eZ\Publish\Core\FieldType\Page\Type\getEmptyValue().

Referenced by eZ\Publish\Core\FieldType\Page\Type\toHash().

## ◆ toHash()

eZ\Publish\Core\FieldType\Page\Type::toHash | ( | SPIValue | $value | ) |

Converts a Value to a hash.

Parameters

  \eZ\Publish\Core\FieldType\Page\Value | $value |

Returns
  mixed

Definition at line 153 of file Core/FieldType/Page/Type.php.

References eZ\Publish\Core\FieldType\Page\Type\isEmptyValue().

## ◆ toPersistenceValue()

eZ\Publish\Core\FieldType\Page\Type::toPersistenceValue | ( | SPIValue | $value | ) |

Converts a $value to a persistence value.

Parameters

  \eZ\Publish\Core\FieldType\Page\Value | $value |

Returns
  \eZ\Publish\SPI\Persistence\Content\FieldValue

Reimplemented from eZ\Publish\Core\FieldType\FieldType.

Definition at line 185 of file Core/FieldType/Page/Type.php.

## ◆ validateFieldSettings()

eZ\Publish\Core\FieldType\Page\Type::validateFieldSettings | ( |  | $fieldSettings | ) |

Validates the fieldSettings of a FieldDefinitionCreateStruct or FieldDefinitionUpdateStruct.

Parameters

  mixed | $fieldSettings |

Returns
  \eZ\Publish\SPI\FieldType\ValidationError[]

Reimplemented from eZ\Publish\Core\FieldType\FieldType.

Definition at line 60 of file Core/FieldType/Page/Type.php.

## Member Data Documentation

## ◆ $hashConverter

eZ\Publish\Core\FieldType\Page\Type::$hashConverter
| protected

Definition at line 31 of file Core/FieldType/Page/Type.php.

Referenced by eZ\Publish\Core\FieldType\Page\Type\__construct().

## ◆ $pageService

eZ\Publish\Core\FieldType\Page\Type::$pageService
| protected

Definition at line 28 of file Core/FieldType/Page/Type.php.

Referenced by eZ\Publish\Core\FieldType\Page\Type\__construct().

## ◆ $settingsSchema

eZ\Publish\Core\FieldType\Page\Type::$settingsSchema
| protected

Initial value:
= [
'defaultLayout' => [
'type' => 'string',
'default' => '',
],
]

Definition at line 20 of file Core/FieldType/Page/Type.php.

The documentation for this class was generated from the following file:

- Core/FieldType/Page/Type.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.